/***************************************************************************
 *   Copyright (C) 2010 by Stephane List                                   *
 *   slist@lilotux.net                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "button_rtsp.h"
#include <QProcess>

button_rtsp::button_rtsp(QWidget *parent) :
    QPushButton(parent)
{
    connect(this, SIGNAL(clicked()), this, SLOT(on_clicked()));
    setToolTip("View with VLC");
    setText("RTSP");
}



void button_rtsp::set_ip(const QString & ip)
{
    ip_ = "rtsp://" + ip + "/axis-media/media.amp";
}

void button_rtsp::on_clicked()
{
    if (ip_.isEmpty())
        return;

    QProcess *q = new QProcess;
    q->start("/usr/bin/vlc-wrapper", QStringList() << ip_);
}

